# Uses of Interface
org.eclipse.core.resources.IResourceChangeEvent

Packages that use IResourceChangeEvent
Package
Description
org.eclipse.core.resources
Provides basic support for managing a workspace and its resources.
org.eclipse.team.ui.synchronize
Contains the team synchronization presentation framework and support for the Synchronize View.
org.eclipse.ui.actions
Classes for actions and operations used in a workbench window, page, or part in the Eclipse Platform User Interface.
org.eclipse.ui.editors.text
Provides a standard text editor and concrete document providers based `IFileBuffer` and others directly handling `IFile` and `IStorage` as editor input.
org.eclipse.ui.model
Provides a workbench adapter for displaying workbench elements in the UI without having to know the concrete type of the element, and various label providers for workbench-specific objects like editors, views, and perspectives.
org.eclipse.ui.views.navigator
Provides the standard Resource Navigator view which presents the tree of resources in the workspace.

## Uses of IResourceChangeEvent in org.eclipse.core.resources

Methods in org.eclipse.core.resources with parameters of type IResourceChangeEvent
Modifier and Type
Method
Description
`void`
IResourceChangeListener.`resourceChanged(IResourceChangeEvent event)`
Notifies this listener that some resource changes are happening, or have already happened.

## Uses of IResourceChangeEvent in org.eclipse.team.ui.synchronize

Methods in org.eclipse.team.ui.synchronize with parameters of type IResourceChangeEvent
Modifier and Type
Method
Description
`void`
SyncInfoCompareInput.`resourceChanged(IResourceChangeEvent event)`
Note that until the compare editor inputs can be part of the compare editors lifecycle we can't register as a listener because there is no dispose() method to remove the listener.

## Uses of IResourceChangeEvent in org.eclipse.ui.actions

Methods in org.eclipse.ui.actions with parameters of type IResourceChangeEvent
Modifier and Type
Method
Description
`void`
CloseResourceAction.`resourceChanged(IResourceChangeEvent event)`
Handles a resource changed event by updating the enablement if one of the selected projects is opened or closed.
`void`
CloseUnrelatedProjectsAction.`resourceChanged(IResourceChangeEvent event)`
Handles a resource changed event by updating the enablement when projects change.
`void`
OpenResourceAction.`resourceChanged(IResourceChangeEvent event)`
Handles a resource changed event by updating the enablement if one of the selected projects is opened or closed.

## Uses of IResourceChangeEvent in org.eclipse.ui.editors.text

Methods in org.eclipse.ui.editors.text with parameters of type IResourceChangeEvent
Modifier and Type
Method
Description
`void`
FileDocumentProvider.FileSynchronizer.`resourceChanged(IResourceChangeEvent e)`

## Uses of IResourceChangeEvent in org.eclipse.ui.model

Methods in org.eclipse.ui.model with parameters of type IResourceChangeEvent
Modifier and Type
Method
Description
`final void`
WorkbenchContentProvider.`resourceChanged(IResourceChangeEvent event)`

## Uses of IResourceChangeEvent in org.eclipse.ui.views.navigator

Methods in org.eclipse.ui.views.navigator with parameters of type IResourceChangeEvent
Modifier and Type
Method
Description
`protected void`
MainActionGroup.`handleResourceChanged(IResourceChangeEvent event)`
Deprecated, for removal: This API element is subject to removal in a future version.
Handles a resource changed event by updating the enablement if one of the selected projects is opened or closed.